/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package triagle;

class Main{
  public static void main(String[] args) {
    Polygon [] triangle = new Polygon[3];
    triangle[0] = new Triangle(3);
    triangle[1] = new Triangle(8);
    triangle[2] = new Triangle(4);
    Text text1 = new Text("hohoho");
    Text text2 = new Text("hahaha");

    MyInterface[] interface = new MyInterface[]{triangle[0], triangle[1], triangle[2]};
    Operation operation = new Operation(interface);
    operation.outputAllFigures();
  }
}
